package jcf_map.exercise;

import java.util.TreeMap;

public class CompanyMap {
	
	/*
	 * EX1 
	 * Supponiamo che chi vengano forniti il nome e il numero 
	 * di divisione di ciascun dipendente di un'azienda. 
	 * Non ci sono nomi duplicati. Vorremmo memorizzare 
	 * queste informazioni in ordine alfabetico per nome.
	 */
	/*
	 * Spiegazione: si intende adoperare chiaramente un TreeMap.
	 * In modo che vi sia una associazione chiave-valore e un ordinamento basato 
	 * sulla chiave.
	 * 	Chiave: String
	 * Valore: Integer
	 */
	
	public static void main(String[] main) {
		new CompanyMap().run();
	}
	
	public void run() {
		TreeMap<String, Integer> mappaAssociazione = new TreeMap<String, Integer>();
		
		mappaAssociazione.put("Rossi Marco", 8);
		mappaAssociazione.put("Bianchi Luca", 14);
		mappaAssociazione.put("Esposito Andrea", 6);
		mappaAssociazione.put("Ferrari Matteo", 6);
		mappaAssociazione.put("Romano Giulia", 14);
		mappaAssociazione.put("Ricci Alessia", 6);
		
		System.out.println("Stampa mappa associazione: ");
		System.out.println(mappaAssociazione);
		System.out.println("Numero di dipendenti: " + mappaAssociazione.size());
	}
	
}
